from django.db import migrations
from django.db.models import UniqueConstraint
from django.db.models.functions import Lower


class Migration(migrations.Migration):

    dependencies = [
        ('generic', '0028_normalize_supervisor_emails'),
    ]

    operations = [
        migrations.AddConstraint(
            model_name='supervisor',
            constraint=UniqueConstraint(Lower('email'), name='unique_supervisor_email_ci'),
        ),
    ]
